Jump to content

Welcome, Guest!

By registering with us, you'll be able to discuss, share and private message with other members of our community.

lesley

Version 1.0.4 has been released

Recommended Posts

After a long wait, version 1.0.4 has been released with several new features and a ton of bug fixes. You can read more about the release here, https://thirtybees.com/blog/version-1-0-4-has-been-released/

Share this post


Link to post
Share on other sites

whoohooo! that's awesome, well done everyone working towards this!

just performed the upgrade from 1.0.3 and read your update blog here: https://thirtybees.com/blog/version-1-0-4-has-been-released/ on top of the stats modules, you also want to delete the following modules:

graphnvd3 gridhtml pagesnotfound sekeywords

maybe you want include this in your latest blog as it was giving me fatals after upgrading. after some initial testing, it's not looking good :( tons of errors in multiple places: (of course I tested also with all non-THB core modules disabled, disabled all overrides) Then I ran the update on a fresh 1.0.3 install and having the exact same issues.

  • SmartyInternalTemplateCompilerBase->triggertemplateerror
  • Syntax error in template "/thbees/admin/themes/default/template/helpers/options/options.tpl" on line 192 "value="{if isset($field['noescape']) && $field['noescape']}{$field['value']|escape:'UTF-8'}{elseif $field['type'] == 'email'}{$field['value']|idnToUtf8|escape:'html':'UTF-8'}{else}{$field['value']|escape:'html':'UTF-8'}{/if}"" unknown modifier "idnToUtf8" at line 192 in file vendor/smarty/smarty/libs/sysplugins/smartyinternaltemplatecompilerbase.php )
  • can't access order details any longer

I really hope there's going to be a quick fix for these issues...

Share this post


Link to post
Share on other sites

you also want to delete the following modules:

graphnvd3 gridhtml pagesnotfound sekeywords

Actually, one can remove no less than 25 modules:

graphnvd3 gridhtml pagesnotfound sekeywords statsbestcategories statsbestcustomers statsbestmanufacturers statsbestproducts statsbestsuppliers statsbestvouchers statscarrier statscatalog statscheckup statsequipment statsforecast statslive statsnewsletter statsorigin statspersonalinfos statsproduct statsregistrations statssales statssearch statsstock statsvisits

For those who have access to the command line: sh rm -rf modules/graphnvd3 modules/gridhtml modules/pagesnotfound modules/sekeywords modules/statsbestcategories modules/statsbestcustomers modules/statsbestmanufacturers modules/statsbestproducts modules/statsbestsuppliers modules/statsbestvouchers modules/statscarrier modules/statscatalog modules/statscheckup modules/statsequipment modules/statsforecast modules/statslive modules/statsnewsletter modules/statsorigin modules/statspersonalinfos modules/statsproduct modules/statsregistrations modules/statssales modules/statssearch modules/statsstock modules/statsvisits

Share this post


Link to post
Share on other sites

Hello,

Is it possible to upgrade a PS1.6.x shop directely to Tb 1.0.4 please ?

Share this post


Link to post
Share on other sites

You would need to migrate using the migration module, then upgrade using our upgrade module. Then for 1.0.4 you would need to do a manual upgrade until our upgrader is finished.

Share this post


Link to post
Share on other sites

Thank you lesley. Will be possible once your upgrader is finished ?

Share this post


Link to post
Share on other sites

It will. The upgrader is going to be very flexible.

Share this post


Link to post
Share on other sites

If you are interested we offer a migration and upgrade service in the mean time, or one of our community members might be interested in doing it.

Share this post


Link to post
Share on other sites

Are there steps to do for who upgraded 1.0.3 to 1.0.4 from this article? https://thirtybees.com/developer-blog/upgrade-a-1-0-3-site-to-1-0-4-latest-source/

Share this post


Link to post
Share on other sites

The steps in the bottom of the release blog should be enough.

Share this post


Link to post
Share on other sites

Awesome, not going to update my shop yet as I will upgrade my server to PHP 7.1 first but will definitely do it when I get a chance.

Thank you !

Share this post


Link to post
Share on other sites

Great work guys!

After upgrade from 1.0.3 to 1.0.4 no errors in admin panel.

But I have been struggling with one problem since end of February. I remember that there was an update at the time. Despite the new orders, the chart stats in Desktop is not updated.

0_1525367892388_Desktop_stats.jpg

Last 10/20/50 orders are shown correctly:

0_1525368074449_orders.jpg

Do you have an idea how to fix it?

Share this post


Link to post
Share on other sites

Hi,

I installed 1.0.4 on cloudways.

Where can I edit database details? Cloudways guidelines for Prestashop say to edit details in settings.inc.php under config.

As you know Cloudways only has 1.0.3 now. So, I had to install it first, then removed it before I installed 1.0.4 via SFTP.

But now I have to edit the database details. Where can I do it in TB 1.0.4?

Thanks sim

Share this post


Link to post
Share on other sites

I mean where in TB 1.0.4 file I can edit the db username, db name, and password?

there is no settings.inc.php under TB 1.0.4 config

Share this post


Link to post
Share on other sites

I mean where in TB 1.0.4 file I can edit the db username, db name, and password?

there is no settings.inc.php under TB 1.0.4 config

As you know, cloudways alread created the db username, db name and password when I installed 1.03 (the only install available) first.

So, after I removed the 1.0.3 and installed 1.0.4 using SFTP, I have to edit those db details in 1.0.4

I did that because I simply wanted a new install. But in Cloudways, I have to go through above process.

Share this post


Link to post
Share on other sites

Just updated one shop to TB 1.0.4. Went easily and without problems. Very nice work. Thanks a lot!

Share this post


Link to post
Share on other sites

Got it. I simply changed the db prefix from tb_ to something else. Then, it gets connection. TKS. Great to have an alternative to prestashop.

Share this post


Link to post
Share on other sites

I simply changed the db prefix from tb_ to something else. Then, it gets connection.

Looks like your database was already written from an earlier installation attempt. Before repeating an installation one should remove the database used, using e.g. phpMyAdmin.

Yes, the installer could be instructed to do this automatically, but then there's a risk to delete years of collected data unrecoverably.

Share this post


Link to post
Share on other sites

I upgraded to 1.0.4 with no problems. I am running two stores on a multistore platform and both are working faster and better.

Share this post


Link to post
Share on other sites

I upgrade my shop and no problem. I would just add a note for dumbs like me: when doing the sql part, change "prefix" with your own table "prefix" hahahah

Share this post


Link to post
Share on other sites

Ugrade with community theme no problem, with transformer theme no succes. Mega menu and lots of other stuf not visible.

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now

×
×
  • Create New...